<template>
<div class="modal inmodal" id="employee_modal">
    <div class="modal-dialog modal-lg">
        <div class="modal-content animated fadeIn">
            <div class="ibox-title">
                <h5>Employee Form</h5>
            </div>
            <!-- /.ibox-title -->

            <div class="ibox-content" v-bind:class="{ 'sk-loading': modal.pause_save }">
                <div class="sk-spinner sk-spinner-wave">
                    <div class="sk-rect1"></div>
                    <div class="sk-rect2"></div>
                    <div class="sk-rect3"></div>
                    <div class="sk-rect4"></div>
                    <div class="sk-rect5"></div>
                </div>

                <div class="row">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.last_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Last Name : </label>
                            <input class="form-control"  v-model="modal.data.last_name">

                            <div v-if="modal.errors.last_name">
                                <span class="help-block" v-for="error in modal.errors.last_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.first_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">First Name : </label>
                            <input class="form-control"  v-model="modal.data.first_name">

                            <div v-if="modal.errors.first_name">
                                <span class="help-block" v-for="error in modal.errors.first_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.middle_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Middle Name : </label>
                            <input class="form-control"  v-model="modal.data.middle_name">

                            <div v-if="modal.errors.middle_name">
                                <span class="help-block" v-for="error in modal.errors.middle_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./Name -->

                <div class="row">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.hired_date  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Date Hired : </label>
                            <input type="date" class="form-control"  v-model="modal.data.hired_date">

                            <div v-if="modal.errors.hired_date">
                                <span class="help-block" v-for="error in modal.errors.hired_date" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.birth_date  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Date Of Birth : </label>
                            <input type="date" class="form-control"  v-model="modal.data.birth_date">

                            <div v-if="modal.errors.birth_date">
                                <span class="help-block" v-for="error in modal.errors.birth_date" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.civil_status  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Civil Status : </label>
                            <select class="form-control"
                                    v-model="modal.data.civil_status" 
                            >   
                                <option value="">Select one...</option>
                                <option value="SINGLE">SINGLE</option>
                                <option value="MARRIED">MARRIED</option>
                                <option value="SEPARATED">SEPARATED</option>
                                <option value="WIDOW">WIDOW</option>
                                <option value="DIVORCED">DIVORCED</option>
                                <option value="ANNULLED">ANNULLED</option>
                                <option value="WIDOWER">WIDOWER</option>
                                <option value="SINGLE PARENT">SINGLE PARENT</option>
                            </select>

                            <div v-if="modal.errors.civil_status">
                                <span class="help-block" v-for="error in modal.errors.civil_status" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./Date -->

                <div class="row">
                    <div class="col-sm-12 col-md-8 col-lg-8"
                            v-bind:class="{ 'has-error': modal.errors.address  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Address : </label>
                            <input class="form-control"  v-model="modal.data.address">

                            <div v-if="modal.errors.address">
                                <span class="help-block" v-for="error in modal.errors.address" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.contact_num  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Contact Number : </label>
                            <input class="form-control"  v-model="modal.data.contact_num">

                            <div v-if="modal.errors.contact_num">
                                <span class="help-block" v-for="error in modal.errors.contact_num" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./row -->

                <div class="row">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.spouse_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Name of Spouse: : </label>
                            <input class="form-control"  v-model="modal.data.spouse_name">

                            <div v-if="modal.errors.spouse_name">
                                <span class="help-block" v-for="error in modal.errors.spouse_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.mother_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Mother's Name: : </label>
                            <input class="form-control"  v-model="modal.data.mother_name">

                            <div v-if="modal.errors.mother_name">
                                <span class="help-block" v-for="error in modal.errors.mother_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-2 col-lg-2"
                            v-bind:class="{ 'has-error': modal.errors.no_of_children  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name"># of Children : </label>
                            <input class="form-control"  v-model="modal.data.no_of_children">

                            <div v-if="modal.errors.no_of_children">
                                <span class="help-block" v-for="error in modal.errors.no_of_children" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-2 col-lg-2"
                            v-bind:class="{ 'has-error': modal.errors.no_of_dependent  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name"># of Dependent : </label>
                            <input class="form-control"  v-model="modal.data.no_of_dependent">

                            <div v-if="modal.errors.no_of_dependent">
                                <span class="help-block" v-for="error in modal.errors.no_of_dependent" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./row -->

                <div class="row">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.sss_no  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">SSS # : </label>
                            <input class="form-control"  v-model="modal.data.sss_no">

                            <div v-if="modal.errors.sss_no">
                                <span class="help-block" v-for="error in modal.errors.sss_no" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.tin_no  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">TIN # : </label>
                            <input class="form-control"  v-model="modal.data.tin_no">

                            <div v-if="modal.errors.tin_no">
                                <span class="help-block" v-for="error in modal.errors.tin_no" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.philhealth_no  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Philhealth # : </label>
                            <input class="form-control"  v-model="modal.data.philhealth_no">

                            <div v-if="modal.errors.philhealth_no">
                                <span class="help-block" v-for="error in modal.errors.philhealth_no" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./row -->

                <div class="row">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.hdmf_no  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">HDMF # : </label>
                            <input class="form-control"  v-model="modal.data.hdmf_no">

                            <div v-if="modal.errors.hdmf_no">
                                <span class="help-block" v-for="error in modal.errors.hdmf_no" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.hdmf_ee  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">HDMF Contri : </label>
                            <input class="form-control"  v-model="modal.data.hdmf_ee">

                            <div v-if="modal.errors.hdmf_ee">
                                <span class="help-block" v-for="error in modal.errors.hdmf_ee" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.payroll_account  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Payroll Account # : </label>
                            <input class="form-control"  v-model="modal.data.payroll_account">

                            <div v-if="modal.errors.payroll_account">
                                <span class="help-block" v-for="error in modal.errors.payroll_account" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./benefits -->
            </div>
            <!-- /.ibox-content -->
            <div class="ibox-footer">
              <div class="pull-right">
                <button type="button" class="btn btn-white btn-sm " data-dismiss="modal">
                  Close
                </button>

                <button @click="save()" 
                        :disable="modal.pause_save" 
                        class="btn btn-flat btn-primary btn-sm"> 
                  Save
                </button>
              </div>
              <div>&nbsp;<br>&nbsp;</div>
            </div>
            <!-- /.ibox-footer -->
        </div>
        <!-- /.modal-content animated flipInY -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal inmodal -->

</template>

<script>
export default {
    props: [
        'modal'
    ],
    methods: {
        save() {
            this.$emit('save', this.modal.data)
        }
    }
}
</script>
